
Foreman - Feature #24027

Provide some macros for OS name/family and version comparsion

06/21/2018 11:55 AM - Lukas Zapletal

Status: New   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

No more @host.operatingsystem.name == 'Fedora' && os_major <= 16 etc.

Related issues:

Related to Foreman - Feature #18205: Provide useful macros for templates and ... Closed 01/23/2017

Related to Foreman - Bug #25130: Expose host.operatingsystem_name in SafeMode Rejected

History

#1 - 06/22/2018 01:41 PM - Marek Hulán

- Subject changed from Provide some template helpers for OS name/family and version comparsion to Provide some macros for OS name/family and

version comparsion

#2 - 06/22/2018 01:48 PM - Marek Hulán

See https://github.com/ares/foreman/commit/5f413e658fe4591a6935fe760ad13b01da160fd3 - I could rebase and reopen the PR if you find this

useful.

This was supposed to add macros like `host_os_minor` or `host_os_rhel_compatible?`, we could easily add thinkgs like `fedora?` or `debian?

#3 - 06/25/2018 07:33 AM - Lukas Zapletal

- Status changed from New to Closed

Hmmm this was demo worthy, or I simply forgot. Had no idea.

#4 - 06/26/2018 08:14 AM - Lukas Zapletal

- Related to Feature #18205: Provide useful macros for templates and save_to_file helper added

#5 - 07/02/2018 06:28 AM - Marek Hulán

- Status changed from Closed to New

- Triaged set to No

It was never merged so it couldn't be demoed. That's why I say I could rebase and reopen the PR if you find this useful. Just let me know if this is

what you had in mind in this issue.

#6 - 07/02/2018 08:19 AM - Lukas Zapletal

Oooh ticketing is hard. Please rebase I think we need to get rid of those constructs in templates.

#7 - 10/05/2018 11:58 AM - Marek Hulán

- Related to Bug #25130: Expose host.operatingsystem_name in SafeMode added
